# JmsConnectionFactory.h File Reference

Describes a JmsConnectionFactory handle. More...

`#include <JmsCommon.h>`
`#include <JmsContext.h>`
`#include <JmsTypes.h>`

Go to the source code of this file.

## Typedefs
typedef JmsConnectionFactory | JmsConnectionFactory
## Functions
int JMSENTRY | JmsContextCreateConnectionFactory (JmsContext *aContext, JmsString *connectionFactoryName, JmsConnectionFactory **connectionFactory, JMS64I flags)
int JMSENTRY | JmsConnectionFactoryDestroy (JmsConnectionFactory *connectionFactory, JMS64I flags)

## Detailed Description

Describes a JmsConnectionFactory handle.

Author:
  Copyright (c) 2002, BEA Systems, Inc. This file describes the functions that can be performed on a JmsConnectionFactory handle A JmsConnectionFactory handle corresponds to javax.jms.ConnectionFactory

## Typedef Documentation

typedef struct JmsConnectionFactory JmsConnectionFactory

| A connection factory handle that represents the class javax.jms.ConnectionFactory

## Function Documentation

int JMSENTRY JmsConnectionFactoryDestroy | ( | JmsConnectionFactory * | connectionFactory,
|  | JMS64I | flags
| ) |

  | Destroys a connection factory handle. After a call to this function the connectionFactory handle has been destroyed and should no longer be referenced Parameters:
  connectionFactory | Must be a valid connection factory handle. May not be NULL
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR

int JMSENTRY JmsContextCreateConnectionFactory | ( | JmsContext * | aContext,
|  | JmsString * | connectionFactoryName,
|  | JmsConnectionFactory ** | connectionFactory,
|  | JMS64I | flags
| ) |

  | Gets a connection factory handle from a context handle Parameters:
  aContext | Must be a valid context handle. May not be NULL
  connectionFactoryName | Contains the JNDI name of the connection factory to create. May not be NULL.
  connectionFactory | May not be NULL. On success *connectionFactory will contain a valid JmsConnectionFactory handle
  flags | Reserved for future use. Must be zero
Returns: JMS_NO_ERROR JMS_GOT_EXCEPTION JMS_INPUT_PARAM_ERROR JMS_MALLOC_ERROR JMS_JVM_ERROR